Groovy 1.7.10

## groovy.lang
[Java] Class MissingMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingMethodException

    public class MissingMethodException
    extends GroovyRuntimeException

An exception occurred if a dynamic method dispatch fails with an unknown method.

Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Authors:
  James Strachan

Version:
  \$Revision: 20589 \$

Constructor Summary
`MissingMethodException(String method, Class type, Object[] arguments)`
`MissingMethodException(String method, Class type, Object[] arguments, boolean isStatic)`

Method Summary
`Object[]` | `getArguments()`
`String` | `getMessage()`
`String` | `getMethod()` @return the name of the method that could not be found
`Class` | `getType()` @return The type on which the method was attempted to be called
`boolean` | `isStatic()` @return Whether the method was called in a static way, i.e. on a class rather than an object.

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MissingMethodException

    public MissingMethodException(String method, Class type, Object[] arguments)

### MissingMethodException

    public MissingMethodException(String method, Class type, Object[] arguments, boolean isStatic)

Method Detail

### getArguments

    public Object[] getArguments()

### getMessage

    public String getMessage()

### getMethod

    public String getMethod()

  Returns:
    the name of the method that could not be found

### getType

    public Class getType()

  Returns:
    The type on which the method was attempted to be called

### isStatic

    public boolean isStatic()

  Returns:
    Whether the method was called in a static way, i.e. on a class rather than an object.

Copyright © 2003-2010 The Codehaus. All rights reserved.